# This file is generated by cargo2rulesmk.py --run --config cargo2rulesmk.json.
# Do not modify this file as changes will be overridden on upgrade.

LOCAL_DIR := $(GET_LOCAL_DIR)
MODULE := $(LOCAL_DIR)
MODULE_CRATE_NAME := proc_macro2
MODULE_SRCS := \
	$(LOCAL_DIR)/src/lib.rs \

MODULE_RUST_EDITION := 2021
MODULE_RUSTFLAGS += \
	--cfg 'feature="default"' \
	--cfg 'feature="proc-macro"' \
	--cfg 'feature="span-locations"' \
	--cfg 'proc_macro_span' \
	--cfg 'span_locations' \
	--cfg 'wrap_proc_macro' \

MODULE_LIBRARY_DEPS := \
	external/rust/crates/unicode-ident \

include make/library.mk
